LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   Can't get VLC skins2 interface to work in OpenSUSE11 (http://www.linuxquestions.org/questions/linux-software-2/cant-get-vlc-skins2-interface-to-work-in-opensuse11-655202/)

JamesHall 07-11-2008 07:33 PM

Can't get VLC skins2 interface to work in OpenSUSE11
 
Hi everyone,

I've recently installed OpenSUSE11, including the vlc package (0.8.6h-4.1-i686) from the Videolan repository - http://download.videolan.org.pub/vid...vlc/SuSE/11.0/

In xWidgets mode, it works great, but when I try to switch to skins2 mode, VLC crashes.

I've tried with several different skins, and have got a number of different error messages after running "vlc -I skins2" in a terminal window.

Trying to use the default skin (/usr/share/vlc/skins2/default.vlt) produces this:

[00000291] skins2 interface: skin: VLC 0.8.5 Default skin author: aLtgLasS
... then it sits there until I Ctrl-C out of it.

I've tried downloading some other skins from http://www.videolan.org/vlc/skins.php (saved to ~/.vlc/skins2/), and get a variety of different error messages depending on which skin I choose. Most of them result in something like this:

[00000291] main interface error: no suitable access module for '{skin name}'
[00000291] skins2 interface error: failed to open {skin name} for reading
[00000291] skins2 interface error: failed to parse {skin name}
[00000291] skins2 interface error: couldn't gzopen {skin name}
... then like before, it sits there until I Ctrl-C out of it.

With the ASNO3 skin (which I believe should be the same as the default skin), I get this:

[00000291] skins2 interface: skin: ASNO3 for VLC 0.8.6 author: Alexander Wecker (crix)
[00000291] skins2 interface error: unknown window (equalizer_window)
Again, I have to Ctrl-C to get out of it.

And with the MediaPlayer skin (just as another example) I get this:

[00000291] skins2 interface: skin: MediaPlayer 1.01 author: Asim Siddiqui
swScaler: 6x335 -> 6x335 is invalid scaling dimension
Segmentation fault

I've also tried replacing the vlc package with the alternative version from the packman repository (0.8.6h-1.pm.1-i586), and I get more or less the same thing, but with [00000312] instead of [00000291]

Can anyone tell me why this is happening, and how I might try to fix it? Any suggestions greatly appreciated.

Thanks in advance,

J.

JamesHall 07-13-2008 05:16 PM

Updated to 0.8.6i, same problem
 
Update: I have removed VLC 0.8.6h and replaced it with 0.8.6i, from the 'VLC download for SUSE' page using the '1-Click Install' link.

vlc -I skins2 now results in the following:

(a) Using the default skin (/usr/share/vlc/skins2/default/vlt):
VLC opens successfully, but the playlist window is corrupted.

(b) Using the ASNO3 skin:
[00000291] skins2 interface: skin: ASNO3 for VLC 0.8.6 author: Alexander Wecker (crix)
[00000291] skins2 interface error: unknown window (equalizer_window)

More or less the same as before. If I try to switch back to xWidgets mode, I get a segmentation fault, and it crashes.

(c) Using the MediaPlayer skin:
[00000291] skins2 interface: skin: MediaPlayer 1.01 author: Asim Siddiqui
swScaler: 6x335 -> 6x335 is invalid scaling dimension
Segmentation fault

As before.

Once again, any ideas or suggestions would be greatly appreciated.

Thanks

J.


All times are GMT -5. The time now is 01:52 AM.